Package org.apache.sling.rewriter

## Interface ProcessorFactory

    public interface ProcessorFactory

The `ProcessorFactory` is a service which creates `Processor`s on demand. The processor is used to rewrite the generated content. The factory is referenced using a service property named 'pipeline.type'. Each factory should have a unique value for this property.

### Method Summary

All Methods Instance Methods Abstract Methods
`Processor` `createProcessor()` Create a new processor.

### Method Detail

#### createProcessor

    Processor createProcessor()

Create a new processor.

Returns:
  A new processor.